Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class PaymentTypeInformation8

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.PaymentTypeInformation8

    public class PaymentTypeInformation8
    extends java.lang.Object

Java class for PaymentTypeInformation8 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformation8">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:sepade:xsd:pain.008.001.01}ServiceLevel4"/>
             <element name="SeqTp" type="{urn:sepade:xsd:pain.008.001.01}SequenceType1Code"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected SequenceType1Code` `seqTp`
`protected ServiceLevel4` `svcLvl`

### Constructor Summary

Constructors
`PaymentTypeInformation8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SequenceType1Code` `getSeqTp()` Gets the value of the seqTp property.
`ServiceLevel4` `getSvcLvl()` Gets the value of the svcLvl property.
`void` `setSeqTp​(SequenceType1Code value)` Sets the value of the seqTp property.
`void` `setSvcLvl​(ServiceLevel4 value)` Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svcLvl

    protected ServiceLevel4 svcLvl

#### seqTp

    protected SequenceType1Code seqTp

### Constructor Detail

#### PaymentTypeInformation8

    public PaymentTypeInformation8()

### Method Detail

#### getSvcLvl

    public ServiceLevel4 getSvcLvl()

Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevel4`

#### setSvcLvl

    public void setSvcLvl​(ServiceLevel4 value)

Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevel4`

#### getSeqTp

    public SequenceType1Code getSeqTp()

Gets the value of the seqTp property.

Returns:
  possible object is `SequenceType1Code`

#### setSeqTp

    public void setSeqTp​(SequenceType1Code value)

Sets the value of the seqTp property.

Parameters:
  `value` - allowed object is `SequenceType1Code`